<?php

/* enqueue scripts and style from parent theme */
 
add_action( 'wp_enqueue_scripts', 'twenty_nineteen_enqueue_styles' );

function twenty_nineteen_enqueue_styles() {
	wp_enqueue_style( 
		'twenty-nineteen-parent-style', 
		get_parent_theme_file_uri( 'style.css' )
	);
}

// randomly change background color
// must also update header.php file
function wpg_backgr() {
$rand = array('0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f');
$color ='#'.$rand[rand(0,15)].$rand[rand(0,15)].$rand[rand(0,15)].
$rand[rand(0,15)].$rand[rand(0,15)].$rand[rand(0,15)];
 
echo $color; 
} 

// add shortcode [user_count] to post or page to show number of registered users

function wpg_user_count() {
$usercount = count_users();
$result = $usercount['total_users'];
return $result;
}
// Creating a shortcode to display user count
add_shortcode('user_count', 'wpg_user_count');

// remove clickable links in comments

remove_filter( 'comment_text', 'make_clickable', 9 );

// add SVG as possible file upload

function new_myme_types($mime_types){
    $mime_types['svg'] = 'image/svg+xml'; //Adding svg extension
    return $mime_types;
}
add_filter('upload_mimes', 'new_myme_types', 1, 1);
?>